<?php
/**
* @version      $Id: admin_item_schema_editor.php
* @package      Easyshop
* @copyright    Copyright (C) 2005 - 2011 TA-EDV
* @license      proprietary
* @author       Richard Kammermayer <rk@ta-edv.de>
* Easyshop is a web shop system
*/

include_once './core/item.class.php';
include_once './modules/list_and_edit.class.php';

class admin_item_schema_editor {
	private $base_object;
	private $config;
	
	function __construct($base_object, $layout_object) {
		$this->base_object = $base_object;
		$this->config = $base_object->config_object;
		$this->layout_object = $layout_object;
		$this->list_object = new ListAndEdit($base_object, $layout_object);
	}

	function run() {
		//$this->setup_info();

		//var_dump($GLOBALS);
		
		if(isset($_GET['id']) && $_GET['id']) {
			$has_id = true;
		} else if(isset($_POST['id']) && $_POST['id']) {
			$has_id = true;
		} else {
			$has_id = false;
		}
		
		if(isset($_POST['submit'])) {
			$is_submitted = true;
		} else {
			$is_submitted = false;
		}
	
		// decide what CRUD method to call and call it in ListAndEdit
		// create
		$item_object = new Item($this->base_object);
		if($is_submitted && !$has_id) {
			$form_data = $item_object->schema_data_filter($_POST['form_field']);
			$item_object->create_schema($form_data);
			$data = $item_object->get_schema_data();
			$this->layout_object->assign('form_data', $data);
		}// read
		elseif($has_id && !$is_submitted && $_GET['mod'] != 'delete') {
			// template variable name
			$item_object->set_schema_id($_GET['id']);
			$data = $item_object->get_schema_data();
			$this->layout_object->assign('form_data', $data);
		} // update
		elseif($has_id && $is_submitted && $_GET['mod'] != 'delete') {
			$item_object->set_schema_id($_POST['id']);
			$form_data = $item_object->schema_data_filter($_POST['form_field']);
			$item_object->update_schema($form_data);
			$data = $item_object->get_schema_data();
			$this->layout_object->assign('form_data', $data);
		} // delete
		elseif($has_id && isset($_GET['mod']) && $_GET['mod'] == 'delete'){
			$item_object->set_schema_id($_GET['id']);
			$item_object->delete_schema();
		}
		else {

		}
		return $this->layout_object->fetch('admin_item_schema_editor.tpl');
	}
	
	
}

?>